package com.jiayue.ipfcst.client.protocol2file;

import com.syjy.DataExchangeException;
import com.syjy.ReadConfigFile;
import com.syjy.tunnelinfo.BaseTunnelInfo;
import com.syjy.tunnelinfo.TunnelType;
import jxl.Cell;
import lombok.Data;

/**
 * @author: xiuwei
 * @version:
 */
@Data
public class GenerateFileTunnelInfo extends BaseTunnelInfo {
	public  GenerateFileTunnelInfo(){
		this.tunnelType=TunnelType.GENERATEFILE;
	}

	String tunnelId;

	String filePath;

	//文件后缀名
	String fileType;


	@Override
	public void setByRow(Cell[] cells) throws DataExchangeException {
		this.setTunnelId(ReadConfigFile.getCellContext(cells[0]));
		this.setFilePath(ReadConfigFile.getCellContext(cells[2]));
		this.setFileType(ReadConfigFile.getCellContext(cells[5]));
	}
}
